'======================================================================
' Copyright (C) 2020 NetJapan, Inc. All rights reserved.
'
'THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF NetJapan, Inc.
'The copyright notice above does not evidence any actual or intended
'publication of such source code.

'Abstract: Support Information collecting tool

'File: aip_support.vbs

'Date:  09/16/20

'Hist:
'	v2.0.0	12/18/14 NetJapan, Inc.	Yoshinobu Ito
'	Multi-language support(Jp,De,Eng)
'
'	v2.0.1	12/24/14 NetJapan, Inc.	Yoshinobu Ito
'	Multi-language support(Jp,De,Eng)
'	Added Sleep method(vssadmin command part).

'	v2.0.2	01/23/15 NetJapan, Inc.	Yoshinobu Ito
'	Added a message for debugging(MoveFolder Method part).

'	v2.0.3	02/05/15 NetJapan, Inc.	Yoshinobu Ito
'	Added a reg(RemoteComputers).

'	v2.0.4	02/13/15 NetJapan, Inc.	Yoshinobu Ito
'	Added "Create Folder Method(system)".
'	Changed MoveFolder method.

'	v2.0.5	02/23/15 NetJapan, Inc.	Yoshinobu Ito
'	Modified to run on any folder.

'	v2.0.6	03/25/15 NetJapan, Inc.	Yoshinobu Ito
'	Modified collection method of UpperFilters.

'	v2.0.7.	05/20/15 NetJapan, Inc.	Yoshinobu Ito
'	Modified measures: Permission denied(Code: 800A0046)
'	Added TraceLog.

'	v2.0.8.	09/16/20 Actiphy, Inc.	Yoshinobu Ito
'	Fixed due to ImagePath change.
'	Added VMMS event.

'Qualified Platforms:
'Windows Server 2000/2003/2008/2008R2/2012/2012R2
'Windows 2000Pro/XP/vista/7/8/8.1

'Requirements:
'- AIP Windows version 3.5 or higher.
'======================================================================

Option Explicit
'On Error Resume Next

'---------Check the OS Version---------
Function GetOSVersion

	Dim Wmi 
	Dim colTarget
	Dim strComputer
	Dim strWork 
	Dim objRow
	Dim aData

	strComputer = "."
	Set Wmi = GetObject("winmgmts:" _
	& "{impersonationLevel=impersonate}!\\" & strComputer & "\root\cimv2")
	
	Set colTarget = Wmi.ExecQuery( "select Version from Win32_OperatingSystem" )
	For Each objRow In colTarget
		strWork = objRow.Version
	Next

	aData = Split( strWork, "." )
	strWork = aData(0) & "." & aData(1)

	GetOSVersion = CDbl( strWork )
End Function
'---------------------------------------------------

'--------------Check the OS Language---------------
Function GetOSLang
	
	Dim Wmi 
	Dim colTarget
	Dim os
	Dim strComputer

	strComputer = "."
	Set Wmi = GetObject("winmgmts:" _
	& "{impersonationLevel=impersonate}!\\" & strComputer & "\root\cimv2")
	
	Set colTarget = Wmi.ExecQuery ("Select * from Win32_OperatingSystem")
	For Each os In colTarget
		GetOSLang = os.OSLanguage
	Next

End Function
'---------------------------------------------------

Dim objExplorer
Dim objFileSys
Dim objWshShell
Dim res
Dim strVal
Dim strPathExe
Dim strPath
Dim strCommand
Dim objTemp

Set objWshShell = WScript.CreateObject("WScript.Shell")
Set objFileSys = CreateObject("Scripting.FileSystemObject")
Set objExplorer = CreateObject("InternetExplorer.Application")
Set objTemp = objFileSys.GetSpecialFolder(2)

objWshShell.Run("cmd /c " & "echo %date% %time% ===== Script Start. ===== >> %temp%\tracelog.txt"),,True


'---------Check the Installed AIP.---------
Dim strComputer
Dim objReg
Dim strKeyPath
Dim strValueName
Dim Return
Dim strValue
Dim CheckstrPath
const HKEY_LOCAL_MACHINE = &H80000002

strComputer = "."
Set objReg=GetObject("winmgmts:{impersonationLevel=impersonate}!\\"&_
	strComputer & "\root\default:StdRegProv")
strKeyPath = "SYSTEM\CurrentControlSet\Services\AipService"
strValueName = "ImagePath"
objReg.GetExpandedStringValue HKEY_LOCAL_MACHINE,strKeyPath,strValueName,strValue
	If IsNull(strValue) Then
		Call CreateFolder
		Call OSInfo
		Call ITLogs
	Else 
		strPath = Left( strValue, InstrRev( strValue, "\" ))
		CheckstrPath = Left(strPath, 1)
'		WScript.Echo CheckstrPath
		If CheckstrPath = """" Then
			strPath = Right(strPath, Len(strPath) - 1)
		End If
		strPathExe = strPath & "AipControl.exe"
		Call CreateFolder
		Call OSInfo
		Call AIPInfo
	End If
'---------------------------------------------------


'=================================================================================
'Create Folder
'=================================================================================
Sub CreateFolder

'Existing aip_support folder confirmation
If Not objFileSys.FolderExists("c:\aip_support") Then

	'Create aip_support folder
	objFileSys.CreateFolder("c:\aip_support")
	objFileSys.CreateFolder("c:\aip_support\system")
	objFileSys.CreateFolder("c:\aip_support\reg")
	If Err.Number <> 0 Then 
		MsgBox Err.Source & "-" &Err.Number & vbCr & Err.Description
	End If

Else
		If GetOSLang() = 1041 Then
			res = MsgBox("aip_supporttH_ɑ݂܂B" & vbCr & "č쐬܂H"_
			, vbOKCancel + 48 + 256 ) 
		ElseIf GetOSLang() = 1033 Then
			res = MsgBox("aip_support folder exists already." & vbCr & "Re-create a Folder?"_
			,vbOKCancel+48+256 ) 
		ElseIf GetOSLang() = 1031 Then
			res = MsgBox("aip_support Ordner ist bereits vorhanden." & vbCr & "Erstellen Sie einen Ordner?"_
			,vbOKCancel+48+256 ) 
		Else
			res = MsgBox("aip_support folder exists already." & vbCr & "Re-create a Folder?"_
			,vbOKCancel+48+256 ) 
		End If
		If (res = 2)  Then
			WScript.Quit
		Else
			objFileSys.DeleteFolder("c:\aip_support")
			objFileSys.CreateFolder("c:\aip_support")
			objFileSys.CreateFolder("c:\aip_support\system")
			objFileSys.CreateFolder("c:\aip_support\reg")
		End If
			If Err.Number <> 0 Then 
				MsgBox Err.Source & "-" &Err.Number & vbCr & Err.Description
			End If
End If
objWshShell.Run("cmd /c " & "echo %date% %time% Create aip_support folder. >> %temp%\tracelog.txt"),,True


'Set the params for progress.
objExplorer.Navigate "about:blank"
objExplorer.ToolBar = 0 
objExplorer.StatusBar = 0 
objExplorer.Width = 300 
objExplorer.Height = 150  
objExplorer.Visible = 1
objExplorer.Document.Title = "aip_support Utility" 
objExplorer.Document.bgColor = "Gainsboro" 

'Display for progress.
	If GetOSLang() = 1041 Then
		objExplorer.Document.Body.InnerHTML = "<div style="" text-align:center ;"">܏擾</br>̂܂܂҂B</div>"
		ElseIf GetOSLang() = 1033 Then
		objExplorer.Document.Body.InnerHTML = "<div style="" text-align:center ;"">This might take few minutes.</br>Please wait a moment.</div>"
		ElseIf GetOSLang() = 1031 Then
		objExplorer.Document.Body.InnerHTML = "<div style="" text-align:center ;"">Dies kann einige Minuten dauern.</br>Bitte warten Sie einen Moment.</div>"
		Else
		objExplorer.Document.Body.InnerHTML = "<div style="" text-align:center ;"">This might take few minutes.</br>Please wait a moment.</div>"
	End If

End Sub
'=================================================================================

'=================================================================================
'OS
'=================================================================================
Sub OSInfo

'Save driver folder.
objWshShell.Run("xcopy /i /e /h %windir%\System32\drivers\etc C:\aip_support\system\etc"),,True
objWshShell.Run("cmd /c " & "echo %date% %time% Save driver folder. >> %temp%\tracelog.txt"),,True

'Save Systeminfo1.
'objWshShell.Run("""%CommonProgramFiles%\Microsoft Shared\MSInfo\msinfo32.exe"" /nfo C:\aip_support\system\sysinfo.nfo"),,True
'objWshShell.Run("cmd /c " & "echo %date% %time% Save Systeminfo1. >> %temp%\tracelog.txt"),,True

'Save Systeminfo2.
	If GetOSVersion() > 5 Then		'Not perform in Win2000.
		objWshShell.Run("cmd /c systeminfo > C:\aip_support\system\systeminfo.txt"),,True
		objWshShell.Run("cmd /c " & "echo %date% %time% Save Systeminfo2. >> %temp%\tracelog.txt"),,True
	End If

'Save  servermanagercmd -query.
objWshShell.Run("cmd /c servermanagercmd -query >  C:\aip_support\system\servermanagercmd.txt") ,,False
objWshShell.Run("cmd /c " & "echo %date% %time% Collect servermanagercmd. >> %temp%\tracelog.txt"),,True

'Save vssadmin.
Dim obj

Set obj = WScript.CreateObject("Shell.Application")
	If GetOSVersion() > 5.2 Then	'vssadmin command use runas in vista or later.
		
		Do While obj.ShellExecute ("cmd.exe", "/c vssadmin list writers > C:\aip_support\system\writers.txt", "", "runas", 1) = 1
		WScript.Sleep(100)
		Loop
		WScript.Sleep(2000)
		
		Do While obj.ShellExecute ("cmd.exe", "/c vssadmin list shadowstorage > C:\aip_support\system\shadowstorage.txt", "", "runas", 1) = 1
		WScript.Sleep(100)
		Loop
		WScript.Sleep(2000)
	End If
		
	If GetOSVersion() = 5.2 Then	'vssadmin command not use runas in Win2003.
		objWshShell.Run("cmd /c vssadmin list writers > C:\aip_support\system\writers.txt"), , True
		WScript.Sleep(1000)
		objWshShell.Run("cmd /c vssadmin list shadowstorage > C:\aip_support\system\shadowstorage.txt"), , True
		WScript.Sleep(1000)
	End If
	objWshShell.Run("cmd /c " & "echo %date% %time% Save vssadmin. >> %temp%\tracelog.txt"),,True

'Collect Windows Eventlog.
Dim objComputer
Dim strComputer
Dim objWMIServiceA
Dim objWMIServiceB
Dim colLogFilesA
Dim colLogFilesB
Dim objLogfileA
Dim objLogfileB
Dim errBackupLogA
Dim errBackupLogB
strComputer = "." 
Set objComputer = WScript.CreateObject("WScript.Network")

Set objWMIServiceA = GetObject("winmgmts:" & "{impersonationLevel=impersonate,(Backup)}!\\" & strComputer & "\root\cimv2") 
Set objWMIServiceB = GetObject("winmgmts:" & "{impersonationLevel=impersonate,(Backup)}!\\" & strComputer & "\root\cimv2") 


'Collect Windows application Eventlog.
Set colLogFilesA = objWMIServiceA.ExecQuery ("Select * from Win32_NTEventLogFile where LogFileName='Application'") 
For Each objLogfileA In colLogFilesA 
	errBackupLogA = objLogfileA.BackupEventLog(objFileSys.GetAbsolutePathName("C:\aip_support\system") & "\" & "application.evt")
		If errBackupLogA <> 0 Then
			WScript.Echo "The application event log could not be saved."
		End If 
Next 
objWshShell.Run("cmd /c " & "echo %date% %time% Collect Windows application Eventlog. >> %temp%\tracelog.txt"),,True

'Collect Windows system Eventlog.
Set colLogFilesB = objWMIServiceB.ExecQuery ("Select * from Win32_NTEventLogFile where LogFileName='System'") 
For Each objLogfileB In colLogFilesB 
	errBackupLogB = objLogfileB.BackupEventLog(objFileSys.GetAbsolutePathName("C:\aip_support\system") & "\" & "system.evt")
		If errBackupLogB <> 0 Then 
			WScript.Echo "The system event log could not be saved."
		End If 
		
If GetOSVersion() > 5.2 Then
	objWshShell.Run("cmd /c wevtutil epl Microsoft-Windows-Hyper-V-VMMS-Admin C:\aip_support\system\Hyper-V-VMMS-Admin.evtx") ,,False
End If

If GetOSVersion() > 5.2 Then
	objWshShell.Run("cmd /c wevtutil epl Microsoft-Windows-Hyper-V-VMMS-Operational C:\aip_support\system\Hyper-V-VMMS-Operational.evtx") ,,False
End If

Next 
objWshShell.Run("cmd /c " & "echo %date% %time% Collect Windows system Eventlog. >> %temp%\tracelog.txt"),,True

'Collect ipconfig.
objWshShell.Run("cmd /c ipconfig /all >  C:\aip_support\system\ipconfig.txt") ,,False
objWshShell.Run("cmd /c " & "echo %date% %time% Collect ipconfig. >> %temp%\tracelog.txt"),,True

'Collect hotfix info.
	If GetOSVersion() > 5 Then		'Not perform Win2000.
		objWshShell.Run("cmd /c wmic qfe list /format:htable > C:\aip_support\system\qfelist.htm"),,True
	End If
objWshShell.Run("cmd /c " & "echo %date% %time% Collect hotfix info. >> %temp%\tracelog.txt"),,True

'Export regs(VSS).
objWshShell.Run("regedit /e C:\aip_support\reg\VSS.reg HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\services\VSS"), , False
WScript.Sleep (2000)
objWshShell.Run("cmd /c " & "echo %date% %time% Export regs(VSS). >> %temp%\tracelog.txt"),,True


End Sub
'=================================================================================


'=================================================================================
'AIP is not installed.
'=================================================================================
Sub ITLogs

'Check AIP
objWshShell.Run("cmd /c " & "echo AIP is not installed. > c:\aip_support\AIP_is_not_installed.txt"),,True
objWshShell.Run("cmd /c " & "echo %date% %time% Check AIP. >> %temp%\tracelog.txt"),,True

'IT edition Log
objWshShell.Run("xcopy /i /e /h %windir%\temp\logs C:\aip_support\logs"),,True
objWshShell.Run("xcopy /i %windir%\temp\aip.log C:\aip_support"), , True
objWshShell.Run("cmd /c " & "echo %date% %time% IT edition Log >> %temp%\tracelog.txt"),,True

End Sub
'=================================================================================


'=================================================================================
'AIP is installed.
'=================================================================================
 Sub AIPInfo

'Collect AIP task logs.
objWshShell.Run("xcopy /i /s /e /h" & " """ & strPath & "logs"" C:\aip_support\logs"),,True
objWshShell.Run("cmd /c " & "echo %date% %time% Collect AIP task logs. >> %temp%\tracelog.txt"),,True

'Collect AIP Profiles folder.
objWshShell.Run("xcopy /i /s /e /h" & " """ & strPath & "Profiles"" C:\aip_support\Profiles"),,True
objWshShell.Run("cmd /c " & "echo %date% %time% Collect AIP Profiles folder. >> %temp%\tracelog.txt"),,True

'Collect AIP Schedules folder.
objWshShell.Run("xcopy /i /s /e /h" & " """ & strPath & "Schedules"" C:\aip_support\Schedules"),,True
objWshShell.Run("cmd /c " & "echo %date% %time% Collect AIP Profiles folder. >> %temp%\tracelog.txt"),,True

'Collect AIP logs.
objWshShell.Run("xcopy /i" & " """ & strPath & "*.log"" C:\aip_support"),,True
objWshShell.Run("cmd /c " & "echo %date% %time% Collect AIP logs. >> %temp%\tracelog.txt"),,True

'Collect aipinstalllog.log
objWshShell.Run("xcopy /i C:\Windows\aipinstalllog.log C:\aip_support"), , True
objWshShell.Run("cmd /c " & "echo %date% %time% Collect aipinstalllog.log >> %temp%\tracelog.txt"),,True

'Collect AIP's ini files.
objWshShell.Run("xcopy /i" & " """ & strPath & "*.ini"" C:\aip_support"),,True
objWshShell.Run("cmd /c " & "echo %date% %time% Collect AIP's ini files. >> %temp%\tracelog.txt"),,True

'Collect AIP's serviceinfo.
strCommand = "cmd /c " & " """ & strPathExe & """ " & "" & "serviceinfo > C:\aip_support\serviceinfo.txt"
objWshShell.Run strCommand,,True
objWshShell.Run("cmd /c " & "echo %date% %time% Collect AIP's serviceinfo. >> %temp%\tracelog.txt"),,True

'Collect AIP's diskinfo.
strCommand = "cmd /c " & " """ & strPathExe & """ " & "" & "diskinfo > C:\aip_support\diskinfo.txt"
objWshShell.Run strCommand,,True
objWshShell.Run("cmd /c " & "echo %date% %time% Collect AIP's diskinfo. >> %temp%\tracelog.txt"),,True

'Collect AIP's licensecheck.
strCommand = "cmd /c " & " """ & strPathExe & """ " & "" & "licensecheck > C:\aip_support\licensecheck.txt"
objWshShell.Run strCommand,,True
objWshShell.Run("cmd /c " & "echo %date% %time% Collect AIP's licensecheck. >> %temp%\tracelog.txt"),,True

'Collect AIP's config.
strCommand = "cmd /c " & " """ & strPathExe & """ " & "" & "config * > C:\aip_support\config.txt"
objWshShell.Run strCommand,,True
objWshShell.Run("cmd /c " & "echo %date% %time% Collect AIP's config. >> %temp%\tracelog.txt"),,True

'Collect AIP's Dir info.		02/20/15 Modified dir command.
objWshShell.Run "cmd /c " & "dir" & " """& strPath & """ " & "/q /s /O:g > C:\aip_support\aip_dir.txt",,True
objWshShell.Run("cmd /c " & "echo %date% %time% Collect AIP's Dir info. >> %temp%\tracelog.txt"),,True

'Export regs(Aip2, AipNotify, AipService, AipTrack, RemoteComputers, VSS).
objWshShell.Run("regedit /e C:\aip_support\reg\Aip2.reg HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\services\Aip2"), , False
WScript.Sleep (500)
objWshShell.Run("regedit /e C:\aip_support\reg\AipNotify.reg HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\services\AipNotify"), , False
WScript.Sleep (500)
objWshShell.Run("regedit /e C:\aip_support\reg\AipService.reg HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\services\AipService"), , False
WScript.Sleep (500)
objWshShell.Run("regedit /e C:\aip_support\reg\AipTrack.reg HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\services\AipTrack"), , False
WScript.Sleep (500)
objWshShell.Run("regedit /e C:\aip_support\reg\RemoteComputers.reg ""HKEY_CURRENT_USER\Software\NetJapan\ActiveImage Protector\Settings\RemoteComputers"""), , False
WScript.Sleep (500)
objWshShell.Run("regedit /e C:\aip_support\reg\VSS.reg HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\services\VSS"), , False
WScript.Sleep (2000)
objWshShell.Run("cmd /c " & "echo %date% %time% Export regs(Aip2, AipNotify, AipService, AipTrack, RemoteComputers, VSS). >> %temp%\tracelog.txt"),,True

'Collect UpperFilters.
'---------Check the UpperFilters.---------

Dim arrValues
const HKEY_LOCAL_MACHINE = &H80000002

strComputer = "."
Set objReg=GetObject("winmgmts:{impersonationLevel=impersonate}!\\"&_
	strComputer & "\root\default:StdRegProv")
strKeyPath = "SYSTEM\CurrentControlSet\Control\Class\{71A27CDD-812A-11D0-BEC7-08002BE2092F}"
strValueName = "UpperFilters"
objReg.GetMultiStringValue HKEY_LOCAL_MACHINE,strKeyPath,strValueName,arrValues
	If IsNull(arrValues) Then
		objWshShell.Run("cmd /c " & "echo AIPtrack is not installed. > c:\aip_support\AIPtrack_is_not_installed.txt"),,True
	Else 
		Call ChkUpper
	End If
	objWshShell.Run("cmd /c " & "echo %date% %time% Collect UpperFilters. >> %temp%\tracelog.txt"),,True
'---------------------------------------------------

End Sub


Sub ChkUpper

Dim objNewFile
Dim strreg
Dim strPage

Set objNewFile = objFileSys.CreateTextFile("C:\aip_support\UpperFilters.txt") 
strreg = objWshShell.RegRead("HKLM\SYSTEM\CurrentControlSet\Control\Class\{71A27CDD-812A-11D0-BEC7-08002BE2092F}\UpperFilters")
For Each strPage In strreg
	objNewFile.WriteLine strPage
Next

objNewFile.Close

End Sub

'=================================================================================

'Added take measures: Permission denied(Code: 800A0046) 05/2/15 
Set objWshShell = Nothing
Set objFileSys = Nothing

'-------------Move aip_support folder.-------------
Set objWshShell = WScript.CreateObject("WScript.Shell")
Set objFileSys = CreateObject("Scripting.FileSystemObject")

Dim strMoveFrom
Dim strMoveTo
Dim aipFolder

'Set the folder name of the source and destination in a variable.
strMoveFrom = "c:\aip_support"
strMoveTo = objWshShell.SpecialFolders("Desktop")


'Move aip_support folder.
'Added measures: Permission denied(Code: 800A0046) 05/20/15 

aipFolder = strMoveTo & "\" & "aip_support_" & _
	Year(Now) & Right("0" & Month(Now), 2) & Right("0" & Day(Now), 2) & "_" & _
	Right("0" & Hour(Now), 2) & Right("0" & Minute(Now), 2)
WScript.sleep(1000) 'Added sleep 05/20/15 

On Error Resume Next
Dim count
count = 0
Do until count = 10
 	objFileSys.MoveFolder strMoveFrom,aipFolder
	If Err.Number = 70 Then 
'		MsgBox Err.Source & "-" &Err.Number & vbCr & Err.Description
		WScript.sleep(2000)
		count = count + 1
		If GetOSLang() = 1041 Then
			objExplorer.Document.Body.InnerHTML = "tH_ړ̍Ďs" & "<BR>" & count &  " "
		else
			objExplorer.Document.Body.InnerHTML = "MoveFolder is retrying." & "<BR>" & count &  " times"
		End If
		objWshShell.Run("cmd /c " & "echo %date% %time% MoveFolder was retried. >> %temp%\tracelog.txt"),,True
		If count = 10 Then
			If GetOSLang() = 1041 Then
				MsgBox "MoveFolder10Ďs܂A݃G[܂B" & vbCrLf & _
				"ktH_~܂B" & vbCrLf & strMoveFrom & " 𑗂ĂB"
			Else
				MsgBox "MoveFolder was retried 10 times, but write error has occurred." & vbCrLf & _
				"Compression folder process is stopped." & vbCrLf & "Please send the " & strMoveFrom
				End If
			objWshShell.Run("cmd /c " & "echo %date% %time% MoveFolder was retried 10 times, but write error has occurred. >> %temp%\tracelog.txt"),,True
			objExplorer.Quit
			WScript.Quit
		End If
	Else
		Exit Do
	End If
Loop
On Error GoTo 0 


'Display for progress of MoveFolder.
	If GetOSLang() = 1041 Then
		objExplorer.Document.Body.InnerHTML = "<div style="" text-align:center ;"">tH_fXNgbvɈړ܂B</div>"
		ElseIf GetOSLang() = 1033 Then
		objExplorer.Document.Body.InnerHTML = "<div style="" text-align:center ;"">Folder has been moved to desktop.</div>"
		ElseIf GetOSLang() = 1031 Then
		objExplorer.Document.Body.InnerHTML = "<div style="" text-align:center ;"">Ordner haben bewegt zu Desktop.</div>"
		Else
		objExplorer.Document.Body.InnerHTML = "<div style="" text-align:center ;"">Folder has been moved to desktop.</div>"
	End If

objWshShell.Run("cmd /c " & "echo %date% %time% Move aip_support folder. >> %temp%\tracelog.txt"),,True


WScript.Sleep (2000)
objExplorer.Quit

'---------------- Windows2000 save to without compression-------------

	If GetOSVersion() = 5 Then		'Windows2000 save to without compression.
		If GetOSLang() = 1041 Then
			MsgBox "T|[g " & aipFolder & "֕ۑ܂B" _
			& vbCr & vbCr & "lbgWp֑tĂB"
		ElseIf GetOSLang() = 1033 Then
			MsgBox "Save Support Infomation to " & aipFolder
		ElseIf GetOSLang() = 1031 Then
			MsgBox "Sparen Sie Support-Informationen zu " & aipFolder
		Else
			MsgBox "Save Support Infomation to " & aipFolder
		End If
		WScript.Quit
	End If


'---------Folder compression.---------
'Compress later than Windows XP.

Dim files(0)

'Path of the compressed folder.
files(0) = aipFolder

'Calling of compress routine.The file name after compression.
Call MakeZip(files(0) & ".zip",files)

'Compress routine
Sub MakeZip(ByVal ZipPath, ByRef FileArray)

Dim sfo
Dim app
Dim file
Dim num
Dim zipFolder

Set sfo=CreateObject("Scripting.FileSystemObject")
Set app=CreateObject("Shell.Application")

'If there is an old same name compressed file, delete it.
If sfo.FileExists(ZipPath) = True Then
sfo.DeleteFile ZipPath
End If

'Create Blank zip file.
With sfo.CreateTextFile(ZipPath, True)
.Write "PK" & Chr(5) & Chr(6) & String(18,0)
.Close
End With

'--------Copy compressed folder to zip file--------
num=0

'Set the zip file Path to a variable.
Set zipFolder=app.NameSpace(sfo.GetAbsolutePathName(ZipPath))
For Each file In FileArray
If CStr(file)<>"" Then
file = sfo.GetAbsolutePathName(file)

'Copy compressed folder to zip file.
zipFolder.CopyHere(file)

'Count up files.
num=num+1
End If
Next

'Wait for copy to zip file.
Do Until zipFolder.Items().Count=num
WScript.sleep(100)
Loop

Set sfo = Nothing
Set app = Nothing

End Sub
WScript.Sleep (2000)

'---------Delete support Folder ---------
Dim strRmFolder

strRmFolder = aipFolder
Set objFileSys = WScript.CreateObject("Scripting.FileSystemObject")
	If Err.Number = 0 Then
		objFileSys.DeleteFolder strRmFolder, True
	Else
		WScript.Echo "Error: " & Err.Description
	End If

	If GetOSLang() = 1041 Then
		MsgBox "T|[g " & aipFolder & ".zip" & "֕ۑ܂B" _
		& vbCr & vbCr & "lbgWp֑tĂB"
		ElseIf GetOSLang() = 1033 Then
		MsgBox "Save Support Infomation to " & aipFolder & ".zip."
		ElseIf GetOSLang() = 1031 Then
		MsgBox "Sparen Sie Support-Informationen zu " & aipFolder & ".zip."
		Else
		MsgBox "Save Support Infomation to " & aipFolder & ".zip."
	End If

Set objWshShell = Nothing
Set objFileSys  = Nothing
Set objExplorer = Nothing